function [obraz_nowy] = down_samp(obraz, poziom)

% wymiary obrazu, utworzenie pustej macierzy na nowy obraz
wys = size(obraz,1);
szer = size(obraz,2);
kolory = size(obraz,3); % [R, G, B]

obraz_nowy = zeros(wys/poziom, szer/poziom, kolory); % nowa macierz o zredukowanych wymiarach

% kopiowanie wartoci wybranych piskeli
for w=1:poziom:wys
    for s=1:poziom:szer
        for k=1:kolory
            w2 = ceil(w/poziom); % ceil = zaokrglenie do liczb cakowitych w gr
            s2 = ceil(s/poziom);
            obraz_nowy(w2,s2,k) = obraz(w,s,k);
        end
    end
end

obraz_nowy = uint8(obraz_nowy); % konwersja zapisu danych na uint8

% sprawdzenie relacje wielkoci nowego obrazu do oryginalnego
obraz_relacja = uint8(zeros(size(obraz)));    % nowa macierz o wymiarach takich jak obraz oryginalny
obraz_relacja( 1:wys/poziom , 1:szer/poziom, :) = obraz_nowy;

% wywietlenie obrazw
figure;imshow(obraz_nowy);title('Obraz zredukowany');
figure;imshow(obraz_relacja);title('Obraz zredukowany - stosunek do oryginalnego');

end