function [ obraz_nowy ] = down_up_samp( obraz, poziom )

% wymiary obrazu, utworzenie pustej macierzy na nowy obraz
wys = size(obraz,1);
szer = size(obraz,2);
kolory = size(obraz,3); % [R, G, B]

%% konwersja na mniejszy obraz
obraz_maly = zeros(wys/poziom, szer/poziom, kolory); % nowa macierz o zredukowanych wymiarach

% kopiowanie wartoci wybranych piskeli
for w=1:poziom:wys
    for s=1:poziom:szer
        for k=1:kolory
            w2 = ceil(w/poziom); % ceil = zaokrglenie do liczb cakowitych w gr
            s2 = ceil(s/poziom);
            obraz_maly(w2,s2,k) = obraz(w,s,k);
        end
    end
end

%% konwerjsa na wikszy obraz
obraz_nowy = zeros(size(obraz)); % nowa macierz o wymiarach takich jak obraz oryginalny

for w=1:wys
    for s=1:szer
        for k=1:kolory
            w2 = ceil(w/poziom);% + mod(i,level);
            s2 = ceil(s/poziom);
            obraz_nowy(w,s,k) = obraz_maly(w2,s2,k);
        end
    end
end

obraz_nowy = uint8(obraz_nowy); % konwersja zapisu danych na uint8

%% wywietlenie obrazu
figure;imshow(obraz_nowy);title('Obraz po zrekonstruowaniu');