function obraz_nowy = kwantyzacja(obraz,poziom)

% wymiary obrazu, utworzenie pustej macierzy na nowy obraz
wys = size(obraz,1);
szer = size(obraz,2);
kolory = size(obraz,3); % [R, G, B]

obraz_nowy = zeros(wys, szer, kolory); % nowa macierz o zredukowanych wymiarach

% kopiowanie wartoci wybranych piskeli
for w=1:wys
    for s=1:szer
        for k=1:kolory
            kolor_oryginalny = obraz(w,s,k);
            obraz_nowy(w,s,k) = floor(double(kolor_oryginalny)/poziom)*poziom;
        end
    end
end

obraz_nowy = uint8(obraz_nowy); % konwersja zapisu danych na uint8

figure;imshow(obraz_nowy);title('Obraz o niszym poziomie kwantyzacji');
end